Assets = 
{
Asset("ATLAS", "images/inventoryimages/crabhole_mod.xml"),
Asset("ATLAS", "images/inventoryimages/lobsterhole_mod.xml"),
Asset("ATLAS", "images/inventoryimages/fishinhole_mod.xml"),
Asset("ATLAS", "images/inventoryimages/rabbithole_mod.xml"),
Asset("ATLAS", "images/inventoryimages/rabbitholerog_mod.xml"),
Asset("ATLAS", "images/inventoryimages/tidalpool_mod.xml"),
Asset("ATLAS", "images/inventoryimages/tidalpoolsw_mod.xml"),
Asset( "IMAGE", "icon/rabbithole_mod.tex" ),
Asset( "ATLAS", "icon/rabbithole_mod.xml" ),
Asset( "IMAGE", "icon/rabbitholerog_mod.tex" ),
Asset( "ATLAS", "icon/rabbitholerog_mod.xml" ),
Asset( "IMAGE", "icon/crabhole_mod.tex" ),
Asset( "ATLAS", "icon/crabhole_mod.xml" ),
Asset( "IMAGE", "icon/fishinhole_mod.tex" ),
Asset( "ATLAS", "icon/fishinhole_mod.xml" ),
}

PrefabFiles = 
{
"crabhole_mod",
"lobsterhole_mod",
"fishinhole_mod",
"rabbithole_mod",
"rabbitholerog_mod",
"tidalpool_mod",
"tidalpoolsw_mod",
}

AddMinimapAtlas("icon/rabbithole_mod.xml")
AddMinimapAtlas("icon/rabbitholerog_mod.xml")
AddMinimapAtlas("icon/crabhole_mod.xml")
AddMinimapAtlas("icon/fishinhole_mod.xml")

--GLOBAL
STRINGS = GLOBAL.STRINGS
RECIPETABS = GLOBAL.RECIPETABS
Recipe = GLOBAL.Recipe
Ingredient = GLOBAL.Ingredient
TECH = GLOBAL.TECH
RECIPE_GAME_TYPE = "recipe"

--ShipWrecked
STRINGS.NAMES.CRABHOLE_MOD = "Crab Den"
STRINGS.RECIPE_DESC.CRABHOLE_MOD = "Crab's cozy home!"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CRABHOLE_MOD = "That's will be scheduled to my food!"
STRINGS.NAMES.LOBSTERHOLE_MOD = "Wobster Den"
STRINGS.RECIPE_DESC.LOBSTERHOLE_MOD = "You want Wobster?"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.LOBSTERHOLE_MOD = "Wobster have Nutrition very much!"
STRINGS.NAMES.FISHINHOLE_MOD = "Fish Hole"
STRINGS.RECIPE_DESC.FISHINHOLE_MOD = "I want to be a Fisherman!"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.FISHINHOLE_MOD = "It looks really a lot of fish!"
STRINGS.NAMES.TIDALPOOLSW_MOD = "Pond"
STRINGS.RECIPE_DESC.TIDALPOOLSW_MOD = "Really deeply Pond"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.TIDALPOOLSW_MOD = "Fortunately, frog's is unlikely..."
--Reign of Giants
STRINGS.NAMES.RABBITHOLEROG_MOD = "Rabbit Hole"
STRINGS.RECIPE_DESC.RABBITHOLEROG_MOD = "Rabbit's cozy home!"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.RABBITHOLEROG_MOD = "That's will be scheduled to my food!"
--Original
STRINGS.NAMES.RABBITHOLE_MOD = "Rabbit Hole"
STRINGS.RECIPE_DESC.RABBITHOLE_MOD = "Rabbit's cozy home!"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.RABBITHOLE_MOD = "That's will be scheduled to my food!"
STRINGS.NAMES.TIDALPOOL_MOD = "Pond"
STRINGS.RECIPE_DESC.TIDALPOOL_MOD = "Really deeply Pond"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.TIDALPOOL_MOD = "Fortunately, frog's is unlikely..."

if GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC) then
        --ShipWrecked
        local crabhole_mod = Recipe("crabhole_mod",{ Ingredient("crab", 1), Ingredient("shovel", 1) },
        RECIPETABS.FARM, TECH.NONE, RECIPE_GAME_TYPE.COMMON, "crabhole_mod_placer" )
        crabhole_mod.atlas = "images/inventoryimages/crabhole_mod.xml"
        local lobsterhole_mod = Recipe("lobsterhole_mod",{ Ingredient("lobster", 1), Ingredient("pickaxe", 1), Ingredient("sand", 1) },
        RECIPETABS.FARM, TECH.NONE, RECIPE_GAME_TYPE.SHIPWRECKED, "lobsterhole_mod_placer", nil, nil, nil, true, 4)
        lobsterhole_mod.atlas = "images/inventoryimages/lobsterhole_mod.xml"
        local fishinhole_mod = Recipe("fishinhole_mod",{ Ingredient("tropical_fish", 1), Ingredient("jellyfish", 1), Ingredient("trawlnet", 1) },
        RECIPETABS.FARM, TECH.NONE, RECIPE_GAME_TYPE.SHIPWRECKED, "fishinhole_mod_placer", nil, nil, nil, true, 4)
        fishinhole_mod.atlas = "images/inventoryimages/fishinhole_mod.xml"
        local tidalpoolsw_mod = Recipe("tidalpoolsw_mod",{ Ingredient("tropical_fish", 1), Ingredient("goldenshovel", 1), Ingredient("rocks", 5) },
        RECIPETABS.FARM, TECH.NONE, RECIPE_GAME_TYPE.SHIPWRECKED, "tidalpoolsw_mod_placer" )
        tidalpoolsw_mod.atlas = "images/inventoryimages/tidalpoolsw_mod.xml"
else    --Reign of Giants
        if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
        local rabbitholerog_mod = Recipe("rabbitholerog_mod",{ Ingredient("rabbit", 1), Ingredient("shovel", 1) },
        RECIPETABS.FARM, TECH.NONE, "rabbitholerog_mod_placer" ) 
        rabbitholerog_mod.atlas = "images/inventoryimages/rabbitholerog_mod.xml"
        local tidalpool_mod = Recipe("tidalpool_mod",{ Ingredient("fish", 1), Ingredient("goldenshovel", 1), Ingredient("rocks", 5) },
        RECIPETABS.FARM, TECH.NONE, "tidalpool_mod_placer" ) 
        tidalpool_mod.atlas = "images/inventoryimages/tidalpool_mod.xml"
else    --Original
        local rabbithole_mod = Recipe("rabbithole_mod",{ Ingredient("rabbit", 1), Ingredient("shovel", 1) },
        RECIPETABS.FARM, TECH.NONE, "rabbithole_mod_placer" ) 
        rabbithole_mod.atlas = "images/inventoryimages/rabbithole_mod.xml"
        local tidalpool_mod = Recipe("tidalpool_mod",{ Ingredient("fish", 1), Ingredient("goldenshovel", 1), Ingredient("rocks", 5) },
        RECIPETABS.FARM, TECH.NONE, "tidalpool_mod_placer" ) 
        tidalpool_mod.atlas = "images/inventoryimages/tidalpool_mod.xml"
        end
end